import { type Generator } from '@nx/devkit';
/**
 * TODO: can this type be generated from the schema.json or the json imported
 * and then inferred in order to be synced?
 */
interface WebDevServerInitGeneratorSchema {
    /**
     * The name of the `Web Dev Server` serve target e.g. `'serve'` or
     * `'web-dev-server'`.
     */
    serveTargetName?: string;
    /** Whether to skip adding the plugin. */
    skipAddPlugin?: boolean;
    /** Whether to skip formatting the updated files. */
    skipFormat?: boolean;
}
/**
 * Adds the `@robby-rabbitman/nx-plus-web-dev-server/plugins/web-dev-server`
 * plugin to the `nx.json` file.
 */
export declare const webDevServerInitGenerator: Generator<WebDevServerInitGeneratorSchema>;
export default webDevServerInitGenerator;
//# sourceMappingURL=web-dev-server-init.generator.d.ts.map